import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class MultiSpikes  extends PowerUp
{
    /**
     * Act - do whatever the MultiSpikes wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        super.move();
        checkStuff();
    }
    
    public void checkStuff()
    {
        Actor paddle = getOneIntersectingObject(Paddle.class);
        if (paddle != null) //if paddles gets a multispikes, program will add one more spike each time paddle gets multispike
        {
            Spike mySpike = new Spike(); 
            getWorld().addObject( mySpike, this.getX(), this.getY());
            mySpike.release();
            getWorld().removeObject(this);//removes the multispike icon once touched paddle
        }
        else if(getY() == getWorld().getHeight()-1) //if paddle misses multispike, icon will disappear
        {
            getWorld().removeObject(this);
        }
                    
    }
}
